/*
 * For licensing terms, see the file COPYING in this directory
 */
#ifndef _NET_H_
#define _NET_H_

#include <sys/socket.h>
#include <sys/types.h>
#include <netdb.h>
#include <netinet/in.h>
/*Client returns*/
#define NULL_PROTO		(-1)
#define NULL_CONNECTION (-2)
#define NO_CONNECTION	(-3)
#define OK_CONNECTION	(1)
/*Server returns*/
#define NULL_SERVER		(-1)
#ifndef DEFAULT_PROTO
#define DEFAULT_PROTO	("tcp")
#endif
#define n_checkConnection(c) ( (c!=NULL_PROTO)&&(c!=NULL_CONNECTION)&&\
		(c!=NO_CONNECTION))
typedef int RESULT;
typedef struct sockaddr SOCKET;
typedef struct sockaddr_in SOCKET_IN;
void n_close(int fd);
int n_send(int fd,char *data);
int n_sendRaw(const int fd,const char *b,const size_t l);
#define n_recieve(fd,buf,len) recv((fd),(buf),(len),0)
int n_connect(char * address,int port);

#endif //_NET_H_
